# This docker image can be used to run cmrsim simulations without GPU support.
# docker build -t registry.ethz.ch/ibt-cmr/image_analysis/cdtipy .
# docker push  registry.ethz.ch/ibt-cmr/image_analysis/cdtipy
# Use the tensorflow image as base with cpu unly

FROM registry.ethz.ch/ibt-cmr/cmr-global/matlab:r2023a

# maintainter from IBT
LABEL maintainers="Jonathan Weine (weine@biomed.ee.ethz.ch)"

#Install opencv python requirements
USER root
RUN apt-get -y update && apt-get install ffmpeg libsm6 libxext6 -y

# Install python requirements
USER jovyan
RUN pip3 install tqdm numpy scipy ipywidgets opencv-python
RUN pip3 install scikit-image seaborn parrec-reader-py

